<?php

return array
(
	# 表名
	'name' => 'yspay_main',
	# 显示给用户看的名称
	'lang' => '银商主体配置',
	'order' => 10,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'account_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属账户',
			'default' 	=> '1',
			'desc' 		=> '所属账户',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'search'    => 'hidden',
			'value'		=> Dever::input('search_option_account_id'),
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-60',
			'name' 		=> '主体名称',
			'default' 	=> '',
			'desc' 		=> '主体名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'cash_mid'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '主体商户号',
			'default' 	=> '',
			'desc' 		=> '主体商户号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'cash_merno'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '主体企业用户号',
			'default' 	=> '',
			'desc' 		=> '主体企业用户号',
			'match' 	=> 'option',
			'update'	=> 'text',
			'list'		=> true,
		),

		'cash_card'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '主体银行卡号',
			'default' 	=> '',
			'desc' 		=> '主体银行卡号',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),

		'list_button' => array
        (
        	'edit' => array('编辑'),
        	'list' => array('商户列表', '"yspay_merchant&search_option_account_id={account_id}&search_option_yspay_main_id={id}&parent=account.yspay_main"'),
        	'list1' => array('分账日志', '"yspay_cash_log&search_option_yspay_main_id={id}&search_option_type=2&parent=account.yspay_main"'),
        ),
	),
);
